<?
include_once("req.php");

array_walk($_REQUEST,"format_string");   
array_walk($_POST,"format_string");   
array_walk($_GET,"format_string");   
include_once("config.php");
include_once("session_class.php");
include_once("persinfo_class.php");
error_reporting(E_ALL ^ E_NOTICE);
session_start();
$session = new Sessions;

if ($session->is_session(session_id())) {

$myinfo =new Persinfo($session->id_person);
$myinfo->get_chat_params();$harnames=getharnames();$cityname=getcitiesnames();
		$res=db_use('array',"select roomtype from room where id_room='".$myinfo->id_room."'");
		$roomtype=$res['roomtype'];
	if ($roomtype!=9) {
		header("Location: main.php"); 
		die;
	}else{
		if ($_REQUEST['path']=='8') {
			header("Location: main.php?path=8"); 
			die;
		}
if ($_GET['charge']) { $_GET['room']=2;}
		$room=(0+$_GET['room']);

echo "
<HTML><HEAD>
<link rel=stylesheet type=\"text/css\" href=\"../i/main.css\">
<meta content=\"text/html; charset=windows-1251\" http-equiv=Content-type>
<META Http-Equiv=Cache-Control Content=no-cache>
<meta http-equiv=PRAGMA content=NO-CACHE>
<META Http-Equiv=Expires Content=0>

<SCRIPT LANGUAGE=\"JavaScript\" SRC=\"../i/sl2.js\"></SCRIPT>
</HEAD>
<body leftmargin=5 topmargin=5 marginwidth=5 marginheight=5 bgcolor=e2e0e0>

<div id=hint3 class=ahint></div>
<TABLE width=100% cellspacing=0 cellpadding=4>
<TR><TD>

<TABLE width=100% cellspacing=0 cellpadding=2 bgcolor=d2d2d2>
<tr><td><B>&nbsp;&nbsp;Залы:&nbsp;</B></td>
<td nowrap align=center".($room<1?" bgcolor=A5A5A5":"").">&nbsp;&nbsp;".($room>0?"<a href=\"repare.php?room=0&".rand(0,1234123)."\">":"<B>")."Ремонт".($room>0?"</a>":"</B>")."&nbsp;&nbsp;</td>
<td nowrap align=center".($room==1?" bgcolor=A5A5A5":"").">&nbsp;&nbsp;".($room!=1?"<a href=\"repare.php?room=1&".rand(0,1234123)."\">":"<B>")."Гравировка".($room!=1?"</a>":"</B>")."&nbsp;&nbsp;</td>
<td nowrap align=center".($room==2?" bgcolor=A5A5A5":"").">&nbsp;&nbsp;".($room!=2?"<a href=\"repare.php?room=2&".rand(0,1234123)."\">":"<B>")."Перезарядка".($room!=2?"</a>":"</B>")."&nbsp;&nbsp;</td>
<td nowrap align=center".($room==3?" bgcolor=A5A5A5":"").">&nbsp;&nbsp;".($room!=3?"<a href=\"repare.php?room=3&".rand(0,1234123)."\">":"<B>")."Усиление".($room!=3?"</a>":"</B>")."&nbsp;&nbsp;</td>
<td nowrap align=center".($room==4?" bgcolor=A5A5A5":"").">&nbsp;&nbsp;".($room!=4?"<a href=\"repare.php?room=4&".rand(0,1234123)."\">":"<B>")."Подгонка".($room!=4?"</a>":"</B>")."&nbsp;&nbsp;</td>
<td width=90%>&nbsp;</td></tr>
</table>


<TABLE width=100% cellspacing=0 cellpadding=0 bgcolor=A5A5A5>
<TR><TD align=center><B>";

if ($room==1) { echo "Нанесение надписей на оружие"; }
elseif ($room==2) {echo "Перезарядка встроенной магии"; }
elseif ($room==3) {echo "Протирка и полировка артефактов"; }
elseif ($room==4) {echo "Доработка предметов под вас"; }
else{echo "Починка поврежденных предметов"; }

echo "</B></TD></TR>
<TR><TD><!--Рюкзак-->
<TABLE WIDTH=100% CELLSPACING=1 CELLPADDING=2 BGCOLOR=A5A5A5>";
	$myinv=new inv(0,$myinfo->id_person); #загрузить инвентарь
if ($_GET['rp']) {
	if ($myinv->things[$_GET['n']]->pic==$_GET['rp']) {
		$ed=1;
		if ($_GET['full1']) { $ed=($myinv->things[$_GET['n']]->srok<10?$myinv->things[$_GET['n']]->srok:10);}
		if ($_GET['full']) {$ed=$myinv->things[$_GET['n']]->srok;}
		if ($myinv->things[$_GET['n']]->noremont) {
			$mess="Предмет не подлежит ремонту";
		}else{
		if ($myinv->things[$_GET['n']]->srok>=$ed) {
			if ($myinfo->money>=$ed*0.05) {
				if ($myinv->things[$_GET['n']]->maxsrok) {
				$pr=($myinv->things[$_GET['n']]->srok/$myinv->things[$_GET['n']]->maxsrok)*100;
				if (rand(1,200)<=$pr) { $s=", maxsrok=maxsrok-1"; $s1=" К сожалению, максимальная долговечность предмета уменьшилась. ";}else{$s='';}
				db_use('query',"update thing set srok=srok-".$ed.$s." where id_thing='".$myinv->things[$_GET['n']]->id_thing."'");
				db_use('query',"update person set money=money-".($ed*0.05)." where id_person='".$myinfo->id_person."'");
				$myinfo->money=$myinfo->money-$ed*0.05;unset($myinv);$myinv = new inv(0,$myinfo->id_person);
				$mess= 'Удачно произведен ремонт предмета "'.$myinv->things[$_GET['n']]->name.'" за '.($ed*0.05).' кр.'.$s1;
				}else{
					$mess="Ошибка.";
				}
			}else{
				$mess="Недостаточно средств.";
			}
		}else{
			$mess="Вещь не повреждена.";
		}
		}
	}
}elseif ($_GET['charge']) {
	if ($myinv->things[$_GET['n']]->pic==$_GET['charge']) {
		$ed=1;
		if ($_GET['full1']) { $ed=($myinv->things[$_GET['n']]->vsrok<10?$myinv->things[$_GET['n']]->vsrok:10);}
		if ($_GET['full']) {$ed=$myinv->things[$_GET['n']]->vsrok;}
		if (false) {
			$mess="Предмет не подлежит перезарядке";
		}else{
		if ($myinv->things[$_GET['n']]->vsrok>=$ed) {
		$price=perezar_cost($myinv->things[$_GET['n']]->vzakl)*$ed;
				if ($myinfo->money>=$price) {
				if ($myinv->things[$_GET['n']]->vmaxsrok) {
				
				##$pr=($myinv->things[$_GET['n']]->zsrok/$myinv->things[$_GET['n']]->zmaxsrok)*100;
				#if (rand(1,100)<=$pr) { $s=", maxsrok=maxsrok-1"; $s1=" К сожалению, максимальная долговечность предмета уменьшилась. ";}else{$s='';}
				db_use('query',"update thing set vsrok=vsrok-".$ed." where id_thing='".$myinv->things[$_GET['n']]->id_thing."'");

				db_use('query',"update person set money=money-".$price." where id_person='".$myinfo->id_person."'");
				$myinfo->money=$myinfo->money-$ed*2;unset($myinv);$myinv = new inv(0,$myinfo->id_person);
				$mess= 'Удачно произведена перезарядка предмета "'.$myinv->things[$_GET['n']]->name.'" за '.$price.' кр.'.$s1;
				}else{
					$mess="Ошибка.";
				}
			}else{
				$mess="Недостаточно средств.";
			}
		}else{
			$mess="Заряды полные.";
		}
		}
	}
}
	if (isset($myinv->things)) {
		$c1=0;foreach ($myinv->things as $key => $value) {
			if ($room<1) { if ($value->srok>0 && $value->noremont<1) {$c1++;} }
			if ($room==2) { if ($value->vsrok>0 && $value->vzakl) {$c1++;} }
		}
	}
if ($c1) {
	$i=1;
	foreach ($myinv->things as $key => $value) {
	if ($room<1 && $value->srok>0 && $value->noremont<1) {
		$i=-$i;	echo "<TR bgcolor=#".($i<0?"C7C7C7":"D5D5D5").">";
			printinfo($value,$myinfo,1,"","<small><A HREF=\"repare.php?rp=".$value->pic."&n=".$key."&".rand(0,50000000)."\">Ремонт 1 ед. за 0.05 кр.</A><BR>".($value->srok<10?'':"<A HREF=\"repare.php?rp=".$value->pic."&full1=".rand(0,50000000)."&n=".$key."\">Ремонт 10 ед. за 0.5 кр.</A>	
		<BR>")."<A HREF=\"repare.php?rp=".$value->pic."&full=".rand(0,50000000)."&n=".$key."\">Полный ремонт за ".(((int)($value->srok*5))/100)." кр.</A></small>",$value->gos_price.' кр.');
		echo "</TR>";
	}elseif ($room==2 && $value->vsrok>0 && $value->vzakl && $value->type2!=13) {
		$costone=perezar_cost($value->vzakl);
		$cost=perezar_cost($value->vzakl)*$value->vsrok;
		$i=-$i;	echo "<TR bgcolor=#".($i<0?"C7C7C7":"D5D5D5").">";
			printinfo($value,$myinfo,1,"","<small><A HREF=\"repare.php?charge=".$value->pic."&n=".$key."&".rand(0,50000000)."\">Перезарядка 1 ед. за ".(0+$costone)." кр.</A><BR>".($value->vsrok<10?'':"<A HREF=\"repare.php?charge=".$value->pic."&full1=".rand(0,50000000)."&n=".$key."\">Перезарядка 10 ед. за ".(10*$costone)." кр.</A>	
		<BR>")."<A HREF=\"repare.php?charge=".$value->pic."&full=".rand(0,50000000)."&n=".$key."\">Полная перезарядка за ".(0+$cost)." кр.</A></small>",$value->gos_price.' кр.');
		echo "</TR>";
	}#/srok
	}#/foreach

}else {#c1
	echo "<TR><TD bgcolor=e2e0e0 align=center>";
	if ($room==1) { echo "У вас в рюкзаке нет оружия, на которое можно нанести гравировку"; }
	elseif ($room==2) {echo "У вас в рюкзаке нет предметов со встроенной магией требующих перезарядки"; }
	elseif ($room==3) {echo "У вас в рюкзаке нет артефактов, которые можно усилить"; }
	elseif ($room==4) {echo "У вас в рюкзаке нет предметов для подгонки"; }
	else{echo "У вас в рюкзаке нет поврежденных предметов"; }
	echo"</TD></TR>";
}


echo "
</TABLE>
</TD></TR>
</TABLE>




</TD><TD valign=top width=300 style='padding-left: 20'>
	<TABLE width=100% cellpadding=0 cellspacing=0><TD align=left>
	<INPUT TYPE=button value=\"Подсказка\" style=\"background-color:#A9AFC0\" onclick=\"window.open('/encicl/help/remont.html', 'help', 'height=300,width=500,location=no,menubar=no,status=no,toolbar=no,scrollbars=yes')\">
	<TD align=right><link href=\"../i/move/design4.css\" rel=\"stylesheet\" type=\"text/css\">
<script language=\"javascript\" type=\"text/javascript\">
function fastshow2 (content) {
	var el = document.getElementById(\"mmoves\");
	var o = window.event.srcElement;
	if (content!='' && el.style.visibility != \"visible\") {el.innerHTML = '<small>'+content+'</small>';}
	var x = window.event.clientX + document.documentElement.scrollLeft + document.body.scrollLeft - el.offsetWidth + 5;
	var y = window.event.clientY + document.documentElement.scrollTop + document.body.scrollTop+20;
	if (x + el.offsetWidth + 3 > document.body.clientWidth + document.body.scrollLeft) { x=(document.body.clientWidth + document.body.scrollLeft - el.offsetWidth - 5); if (x < 0) {x=0}; }
	if (y + el.offsetHeight + 3 > document.body.clientHeight  + document.body.scrollTop) { y=(document.body.clientHeight + document.body.scrollTop - el.offsetHeight - 3); if (y < 0) {y=0}; }
	if (x<0) {x=0;}
	if (y<0) {y=0;}
	el.style.left = x + \"px\";
	el.style.top  = y + \"px\";
	if (el.style.visibility != \"visible\") {
		el.style.visibility = \"visible\";
	}
}
function hideshow () {
	document.getElementById(\"mmoves\").style.visibility = 'hidden';
}
</script>

<table  border=\"0\" cellpadding=\"0\" cellspacing=\"0\">
	<tr align=\"right\" valign=\"top\">
		<td>

			</td>
		<td>
			
			<table width=\"80\" border=\"0\" cellspacing=\"0\" cellpadding=\"0\">
            	<tr>
            		<td width=\"0\" valign=\"bottom\" align=\"left\"><a href=\"?rnd=0.956410630577828\"><img src=\"../i/move/rel_1.gif\" width=\"15\" height=\"16\" alt=\"Обновить\" border=\"0\" /></a></td>
					<td><table width=\"80\"  border=\"0\" cellspacing=\"0\" cellpadding=\"0\">
                    	<tr>
                    		<td colspan=\"3\" align=\"center\"><img src=\"../i/move/navigatin_462.gif\" width=\"80\" height=\"4\" /></td>
                    		</tr>
                    	<tr>
                    		<td colspan=\"3\" align=\"center\"><table width=\"80\"  border=\"0\" cellspacing=\"0\" cellpadding=\"0\">
                    				<tr>
                    					<td><img src=\"../i/move/navigatin_481.gif\" width=\"9\" height=\"8\" /></td>
                    					<td width=\"100%\" bgcolor=\"#000000\"><table border=\"0\" cellspacing=\"0\" cellpadding=\"0\">
                    							<tr>
                    								<td nowrap=\"nowrap\" align=\"center\"><div align=\"center\" style=\"font-size:4px;padding:0px;border:solid black 0px; text-align:center\" id=\"prcont\"></div>
                        									<script language=\"javascript\" type=\"text/javascript\">
												var s=\"\";for (i=1; i<=32; i++) {s+='<span id=\"progress'+i+'\">&nbsp;</span>';if (i<32) {s+='&nbsp;'};}document.getElementById('prcont').innerHTML=s;
								  				</script>
                    									</td>
                    								</tr>
                    							</table></td>
                    					<td><img src=\"../i/move/navigatin_50.gif\" width=\"7\" height=\"8\" /></td>
                    					</tr>
                    				</table></td>
                    		</tr>
	
	<tr>
		<td colspan=\"3\"><img src=\"../i/move/navigatin_tt1_532.gif\" width=\"80\" height=\"5\" /></td>
	</tr>
	
                   	</table></td>
           		</tr>
          	</table>
			
			<table  border=\"0\" cellspacing=\"0\" cellpadding=\"0\">
				<tr>
					<td nowrap=\"nowrap\" id=\"moveto\">
						<table width=\"100%\"  border=\"0\" cellpadding=\"0\" cellspacing=\"1\" bgcolor=\"#DEDEDE\">
							
							<tr>
								<td bgcolor=\"#D3D3D3\"><img src=\"../i/move/links.gif\" width=\"9\" height=\"7\" /></td>";
								$in_r[8]=getinroom($room,$myinfo->id_city); $r_name[8]="Центральная Площадь";
								echo"
								<td bgcolor=\"#D3D3D3\" nowrap><a href=\"?rnd=".rand(1,234234234)."&path=8\" onclick=\"return check_access();\" class=\"menutop\" title=\"Время перехода: 15 сек.
Сейчас в комнате ".$in_r[8]." чел.\">".$r_name[8]."</a></td>
							</tr>
							
						</table>
					</td>
				</tr>
			</table>
			
			<!-- <br /><span class=\"menutop\"><nobr>Ремонтная мастерская</nobr></span>-->
			</td>
	</tr>
</table>
<div id=\"mmoves\" style=\"background-color:#FFFFCC; visibility:hidden; overflow:visible; position:absolute; border-color:#666666; border-style:solid; border-width: 1px; padding: 2px; white-space: nowrap;\"></div>
<script language=\"javascript\" type=\"text/javascript\">
var progressEnd = 32;		// set to number of progress <span>'s.
var progressColor = '#00CC00';	// set to progress bar color
var mtime = parseInt('3');
if (!mtime || mtime<=0) {mtime=0;}
var progressInterval = Math.round(mtime*1000/progressEnd);	// set to time between updates (milli-seconds)
var is_accessible = true;
var progressAt = progressEnd;
var progressTimer;
function progress_clear() {
	for (var i = 1; i <= progressEnd; i++) document.getElementById('progress'+i).style.backgroundColor = 'transparent';
	progressAt = 0;
	
	is_accessible = false;
	set_moveto(true);
}
function progress_update() {
	progressAt++;
	//if (progressAt > progressEnd) progress_clear();
	if (progressAt > progressEnd) {
		
		is_accessible = true;
		if (window.solo_store && solo_store) { solo(solo_store); } // go to stored
		set_moveto(false);
	} else {document.getElementById('progress'+progressAt).style.backgroundColor = progressColor;
		progressTimer = setTimeout('progress_update()',progressInterval);
	}
}
function set_moveto (val) {
	document.getElementById('moveto').disabled = val;
	if (document.getElementById('bmoveto')) {
		document.getElementById('bmoveto').disabled = val;
	}
}
function progress_stop() {
	clearTimeout(progressTimer);
	progress_clear();
}
function check(it) {
	return is_accessible;
}
function check_access () {
	return is_accessible;
}
function ch_counter_color (color) {
	progressColor = color;
	for (var i = 1; i <= progressAt; i++) {
		document.getElementById('progress'+i).style.backgroundColor = progressColor;
	}
}
// brrr
if (mtime>0) {
	progress_clear();
	progress_update();
} else {
	for (var i = 1; i <= progressEnd; i++) {
		document.getElementById('progress'+i).style.backgroundColor = progressColor;
	}
}
</script>
</TABLE><BR>

	<B>Масса всех ваших вещей: ".$myinv->weight."/".(($myinfo->sumall('sil'))*4)."<BR>
	В вашем кошельке: <FONT COLOR=339900>".$myinfo->money."</FONT> кр.</B>
".($mess?'<BR><FONT COLOR=red><B>'.$mess.'<BR></B></FONT>':"")."	

	<BR><BR><BR>



    </TD>

</TR>
</TABLE>

</BODY>
</HTML>
";		
		
		
		
	} #id_room=9
} else {
$session->destroy_session(session_id() );
session_destroy();
header("Location: totop.htm"); 
die;
}

?>